Class | Dataset
In: | lib/sequel/adapters/mock.rb
Parent: | Sequel::Dataset

### Methods

columns fetch_rows

### Constants

DatasetClass | = | self

### Attributes

_fetch | [RW] | Override the databases‘s fetch setting for this dataset
autoid | [RW] | Override the databases‘s autoid setting for this dataset
numrows | [RW] | Override the databases‘s numrows setting for this dataset

### Public Instance methods

columns(*cs)

If arguments are provided, use them to set the columns for this dataset and return self. Otherwise, use the default Sequel behavior and return the columns.

[Source]

         # File lib/sequel/adapters/mock.rb, line 339
    339:       def columns(*cs)
    340:         if cs.empty?
    341:           super
    342:         else
    343:           @columns = cs
    344:           self
    345:         end
    346:       end

fetch_rows(sql, &block)

[Source]

         # File lib/sequel/adapters/mock.rb, line 348
    348:       def fetch_rows(sql, &block)
    349:         execute(sql, &block)
    350:       end

[Validate]